(function(own) {
	// 此处定义一些APP配置信息
//	own.URLPRE = "http://myte.dijiacn.com";
//	own.IMSURLPRE = "http://imste.dijiacn.com";
	 own.URLPRE = "http://my.dijiacn.com";
	 own.IMSURLPRE = "http://ims.dijiacn.com";
//	 own.URLPRE = "http://192.168.3.4:8039";
//	 own.URLPRE = "http://192.168.31.128:8039";
	own.DOWNLOAD_FOLDER = "_downloads/";

	//一般情况下设置anishow
	own.getaniShow = function() {
		var aniShow = 'slide-in-right';
		if(mui.os.android) {
			var androidlist = document.querySelectorAll('ios-only');
			if(androidlist) {
				mui.each(androidlist, function(num, obj) {
					obj.style.display = 'none';
				});
			}
			if(parseFloat(mui.os.version) < 4.4) {
				aniShow = 'slide-in-right';
			}
		}
		return aniShow; 
	}

	//设置是否需要bounce，一般有scroll的地方会将bounce取消掉
	own.setSubWebviewBounce = function(bounce) {
		var curSubWebview = plus.webview.currentWebview();
		curSubWebview.setStyle({
			bounce: bounce
		});
	}

	own.judgeLogin = function() {
		if(!localStorage.getItem('isLogin')) {
			mui.toast('未登录');
			mui.openWindow({
				id: 'login.html',
				url: '/html/mine/login.html'
			});
			return false;
		} else {
			return true;
		}
	}

	own.twiceBackQuitApp = function() {
		var first = null;
		mui.back = function() {
			//首次按键，提示‘再按一次退出应用’
			if(!first) {
				first = new Date().getTime();
				mui.toast('再按一次退出应用');
				setTimeout(function() {
					first = null;
				}, 1000);
			} else {
				if(new Date().getTime() - first < 1000) {
					plus.runtime.quit();
				}
			}
		};
	}

	// 打印出当前页面所有的子页面
	own.logAllWebview = function() {
		setTimeout(function() {
			var array = plus.webview.all();
			if(array) {
				for(var i = 0, len = array.length; i < len; i++) {
					console.log(array[i].getURL() + " " + array[i].id);
				}
			}
		}, 3000);
	}

	own.getQueryStr = function(name) {
		var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
		var r = window.location.search.substr(1).match(reg);
		if(r != null) return unescape(r[2]);
		return null;
	}

	own.globalErrorPage = function(icon, message, link) {
		var html = [];
		html.push('<div class="wrap-error">');
		html.push('<div class="wrap-icon"><i class="' + icon + '" style="font-size: 60px"></i></div>')
		html.push('<div class="wrap-message">' + message + '</div>')
		html.push('<div class="wrap-link">' + link + '</div>')
		html.push('</div>')
		return html.join('');
	}

	// 任意页面调用即可直播跳转至主菜单页面. pageName 的取值有: homeMain.html message.html discovery.html mySchool.html mine.html
	own.jumpToPage = function(pageName) {
		var array = plus.webview.all();
		if(array) {
			for(var i = 0, len = array.length; i < len; i++) {
				if(array[i].id != "HBuilder" &&
					array[i].id != "net.deeplus.H54E02EE9" &&
					array[i].id != "homeMain.html" &&
					array[i].id != "mySchool.html" &&
					array[i].id != "message.html" &&
					array[i].id != "discovery.html" &&
					array[i].id != "mine.html" &&
					array[i].id != "homeSub.html" &&
					array[i].id != "forumListMain.html") {
					array[i].hide();
				}
				//				alert(array[i].id);
			}
		}
		var page = plus.webview.getLaunchWebview();
		mui.fire(page, 'jumpToIndex', {
			pageName: pageName
		});
		var page = plus.webview.getWebviewById(pageName);
		page.show();
	}

	own.updateApp = function(update, wgtVer) {
		if(mui.os.android && update.updateType == 'apk') {
			var url = URLPRE + '/' + update.apkUrl;
			var dtask = plus.downloader.createDownload(url, {}, function(d, status) {
				if(status == 200) {
					var path = d.filename;
					console.log(d.filename);
					plus.runtime.install(path);
				} else {
					console.log("Download failed: " + status);
				}
			});
			dtask.start();
		} else if(mui.os.android && update.updateType == 'wgt') {
			//			alert("安装wgt文件开始");
			plus.nativeUI.showWaiting("正在更新应用资源...");
			var url = URLPRE + '/' + update.wgtUrl;
			var dtask = plus.downloader.createDownload(
				url, {
					filename: "_doc/update/"
				},
				function(d, status) {
					if(status == 200) {
						var path = d.filename;
						console.log(d.filename);
						plus.runtime.install(path, {}, function() {
							plus.nativeUI.closeWaiting();
							//					        alert("安装wgt文件成功！");
							plus.nativeUI.alert("应用资源更新完成！", function() {
								plus.runtime.restart();
							});
						}, function(e) {
							plus.nativeUI.closeWaiting();
							console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
							//					        alert("安装wgt文件失败["+e.code+"]："+e.message);
						});
					} else {
						console.log("Download wgt failed: " + status);
					}
				}
			);
			dtask.start();
			plus.nativeUI.closeWaiting();
		} else if(mui.os.ios) {
			var url = update.appStoreUrl;
			plus.runtime.openURL(url);
		}
	}

	own.checkUpdate = function(alertNoUpdate) {
		console.log('checkUpdate开始');
		var platform = '';
		if(mui.os.android) {
			platform = 'android';
		}
		if(mui.os.ios) {
			platform = 'ios';
		}
		var apkVersion = plus.runtime.version;
//		console.log('platform:' + platform);
//		console.log('apkVersion:' + apkVersion);
		//		alert('apkVersion:'+apkVersion);

		var wgtVersion = "";
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			wgtVersion = inf.version;
			//	    	alert("当前应用版本wgtVersion："+wgtVersion);
			var data = {
				platform: platform,
				apkVersion: apkVersion,
				wgtVersion: wgtVersion
			};
			mui.ajax(URLPRE + '/v1/app/getLatestVersion', {
				data: makeSign(data),
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(data) {
					var json = JSON.stringify(data);
					//					alert(json);
					if(data.errcode !== '0') {
						console.log(data.errmsg);
					}
					var result = data.result;
					if(result.needUpdate !== true) {
						if(alertNoUpdate) {
							mui.alert("已经是最新版本！");
						}
						return;
					}

					if(result.updateType == 'apk') {
						var btns = ['确定', '取消'];
						var newVersionConfirm = localStorage.getItem("newVersionConfirm");
						if(!newVersionConfirm)
						{
							newVersionConfirm = "滴加教育有新版本，是否下载？";
						}
						mui.confirm(newVersionConfirm, '更新版本', btns, function(e) {
							if(e.index == 0) {
								updateApp(result, null);
							}
						})
					} else {
						updateApp(result, wgtVersion);
					}
				},
				error: function(xhr) {
				}
			});

		});
	}

	//吧1.0.0这样的版本号转换成数字
	own.versionToNum = function(a) {
		var a = a.toString();
		var c = a.split('.');
		var num_place = ["", "0", "00", "000", "0000"],
			r = num_place.reverse();
		for(var i = 0; i < c.length; i++) {
			var len = c[i].length;
			c[i] = r[len] + c[i];
		}
		var res = c.join('');
		return res;
	}

	//比较版本大小
	own.compareVersion = function(a, b) {
		var _a = versionToNum(a),
			_b = versionToNum(b);
		if(_a == _b) return 0;
		if(_a > _b) return 1;
		if(_a < _b) return -1;
	}

	own.isBuyThisProduct = function(sku) {
		var isLogin = localStorage.getItem("isLogin");
		if(isLogin == "0") {
			return false;
		}
		var mySchoolInfoStr = localStorage.getItem("mySchoolInfo");
		//		console.log("mySchoolInfo = " + mySchoolInfoStr);
		var mySchoolInfo = JSON.parse(mySchoolInfoStr);
		if(mySchoolInfo != null) {
			for(var i = 0; i < mySchoolInfo.length; i++) {
				var classStudentList = mySchoolInfo[i].classStudentList;
				for(var j = 0; j < classStudentList.length; j++) {
					var classStudent = classStudentList[j];
					if(classStudent.sku == sku) {
						return true;
					}
				}
			}
		}
		return false;
	}

	own.getCategoryColor = function(productCategory)
	{
		var categoryColor = '';
		switch(productCategory)
		{
			case '线下课程':
				categoryColor = 'background-color:#faa912';
			break;
			case '直播课程':
				categoryColor = 'background-color:#B766AD';//006030
			break;
			case '点播课程':
				categoryColor = 'background-color:#CE0000';
			break;
			case '电子资料':
				categoryColor = 'background-color:#984B4B';
			break;
			case '纸质书籍':
				categoryColor = 'background-color:#7D7DFF';
			break;
			default:
			break;
		}
		return categoryColor;
	}

	// 生成签名后的请求数据
	own.makeSign = function(data) {
		//生成随机数
		data.nonceStr = self.getNonceStr(6);
		//签名步骤一：按字典序排序参数
		data = self.ksort(data);
		//签名步骤二：按字典序生成参数
		var buff = "";
		for(var k in data) {
			if(parseInt(data[k]) == 0 || data[k] != "") {
				buff += k + "=" + data[k] + "&";
			}
		}
		if(buff != "") {
			buff = buff.substr(0, buff.length - 1);
		}
		//签名步骤三：在string后加入KEY
		buff += "&key=cjjpw7h3kwk1nen8qsaj4te2";
//		console.log("buf = " + buff);
		//签名步骤四：MD5加密
		var md5 = hex_md5(buff);
		//签名步骤五：所有字符转为小写
		md5 = md5.toLowerCase();
		data.sign = md5;
		return data;
	}

	/**
	 * @function:generateRandomAlphaNum->生成随机的字符串
	 * @param:len->生存随机字符串的长度
	 * @tdd->IE6-9 chrome Firefox通过测试
	 * 
	 */
	own.getNonceStr = function(len) {
		var rdmString = "";
		//toSting接受的参数表示进制，默认为10进制。36进制为0-9 a-z
		for(; rdmString.length < len; rdmString += Math.random().toString(36).substr(2));
		return rdmString.substr(0, len);
	}

	own.ksort = function(inputArr, sort_flags) {
		var tmp_arr = {};
		var keys = [];
		var sorter;
		var i;
		var k;
		var that = this;
		var strictForIn = false;
		var populateArr = {};

		switch(sort_flags) {
			case 'SORT_STRING':
				// compare items as strings
				sorter = function(a, b) {
					return that.strnatcmp(a, b);
				};
				break;
			case 'SORT_LOCALE_STRING':
				// compare items as strings, original by the current locale (set with  i18n_loc_set_default() as of PHP6)
				var loc = this.i18n_loc_get_default();
				sorter = this.php_js.i18nLocales[loc].sorting;
				break;
			case 'SORT_NUMERIC':
				// compare items numerically
				sorter = function(a, b) {
					return((a + 0) - (b + 0));
				};
				break;
				// case 'SORT_REGULAR': // compare items normally (don't change types)
			default:
				sorter = function(a, b) {
					var aFloat = parseFloat(a),
						bFloat = parseFloat(b),
						aNumeric = aFloat + '' === a,
						bNumeric = bFloat + '' === b;
					if(aNumeric && bNumeric) {
						return aFloat > bFloat ? 1 : aFloat < bFloat ? -1 : 0;
					} else if(aNumeric && !bNumeric) {
						return 1;
					} else if(!aNumeric && bNumeric) {
						return -1;
					}
					return a > b ? 1 : a < b ? -1 : 0;
				};
				break;
		}

		// Make a list of key names
		for(k in inputArr) {
			if(inputArr.hasOwnProperty(k)) {
				keys.push(k);
			}
		}
		keys.sort(sorter);

		// BEGIN REDUNDANT
		this.php_js = this.php_js || {};
		this.php_js.ini = this.php_js.ini || {};
		// END REDUNDANT
		strictForIn = this.php_js.ini['phpjs.strictForIn'] && this.php_js.ini['phpjs.strictForIn'].local_value && this.php_js
			.ini['phpjs.strictForIn'].local_value !== 'off';
		populateArr = strictForIn ? inputArr : populateArr;

		// Rebuild array with sorted key names
		for(i = 0; i < keys.length; i++) {
			k = keys[i];
			tmp_arr[k] = inputArr[k];
			if(strictForIn) {
				delete inputArr[k];
			}
		}
		for(i in tmp_arr) {
			if(tmp_arr.hasOwnProperty(i)) {
				populateArr[i] = tmp_arr[i];
			}
		}

		return strictForIn || populateArr;
	}

	if(window.mui && mui('.mui-action-back') && mui('.mui-action-back')[0])
	{
		mui('.mui-action-back')[0].addEventListener("tap", function() {
			//console.log("back");
			mui.back();
		}, false);
	}
})(window);

    var _hmt = _hmt || [];
    _hmt.push(['_setAutoPageview', false]);
	_hmt.push(['_trackPageview', '/test/test/test']);
    (function() {
      var hm = document.createElement("script");
      hm.src = "https://hm.baidu.com/hm.js?218b60c482a2d4cc9ebc1fb8a8414729";
      var s = document.getElementsByTagName("script")[0]; 
      s.parentNode.insertBefore(hm, s);
    })();
