//需要引入下面两个js文件
//<script src="http://cdn.bootcss.com/moment.js/2.11.2/moment.min.js"></script>
//<script src="http://cdn.bootcss.com/moment.js/2.11.2/locale/zh-cn.js"></script>

var webview_current = null;
function getReviewHtml(review, needReply) 
{
	if(!webview_current)
	{
		webview_current = plus.webview.currentWebview();
	}
	
	var html = ''

	var headPhoto = review.headPhoto;
	if(headPhoto) 
	{
		var index = headPhoto.indexOf('http://');
		if(index < 0) 
		{
			index = headPhoto.indexOf('https://');
		}

		if(index < 0) 
		{
			headPhoto = URLPRE + "/" + headPhoto;
		}
	} 
	else
	{
		headPhoto = URLPRE + '/upload/user/defaultHeadPhoto.png';
	}
	var rateHtml = '';						
	var floor = Math.floor(review.rate);
	for(var k = 0; k < floor; k++) 
	{
		rateHtml += '<i class="mui-icon iconfont icon-xingxing1 own-xingxing-filled" style="margin: 0;"></i>';
	}
	if(review.rate - floor > 0.21 && review.rate - floor < 0.91) 
	{
		rateHtml += '<i class="mui-icon iconfont icon-banxing own-xingxing-filled" style="margin: 0;"></i>';
		floor++;
	}
	for(var k = floor; k <= 4; k++) 
	{
		rateHtml += '<i class="mui-icon iconfont icon-xingxing1 own-xingxing" style="margin: 0;"></i>';
	}
	
	var imgHtml = '';
	if(webview_current.id == 'productDetail.html'
	|| webview_current.id == 'schoolDetail.html'
	|| webview_current.id == 'mySchoolDetail.html')
	{
		imgHtml = '';
	}
	else
	{
		if(review.imgs && review.imgs.length > 0) {
			imgHtml += '<p class="reviewImgs  margin-left-55">';
			for(var imgIx = 0; imgIx < review.imgs.length; imgIx++) {
				var imgRew = review.imgs[imgIx];
				var ixImgRew = imgRew.indexOf('http://');
				if(ixImgRew < 0) {
					ixImgRew = imgRew.indexOf('https://');
				}
	
				if(ixImgRew < 0) {
					imgRew = URLPRE + imgRew;
				}
	
				var imgEle = '<img src="' + imgRew + '" alt="图片" />'
				imgHtml += imgEle;
			}
			imgHtml += '</p>';
		}
	}
	
	var replyBtnHtml = '';
	var userInfoId = localStorage.getItem('userInfoId');
	if(review.userInfoId == userInfoId && needReply === true)
	{
		replyBtnHtml = ''
		+ '<div class="mui-media-object mui-pull-right replyReview">'
		+ '<button data-id="'+review.id+'">追加</button>'
		+ '</div>';
	}
	var style = 'style="margin-top:-1px;margin-bottom:-1px;padding-bottom:-1px;;padding-top:-1px;list-style-type:none;"';
	var strClass = 'class="mui-table-view"';
	if(webview_current.id == 'productDetail.html')
	{
//		style = '';
//		strClass = '';
	}
	if(webview_current.id == 'schoolDetail.html')
	{
	}
						
	html += ''
	//+ '<ul ' + strClass + style+'>'
	+ '<li class="mui-table-view-cell" '+style+'>'
	+ '<div>'
	+ '<div class="mui-media-object mui-pull-left" >'
	+'<img class="userHeadPhoto" style="margin-right:5px;" src="' + headPhoto + '" >'
	+'</div>'
	+ replyBtnHtml
	+ '<div class="mui-media-body own-font-14" >'
	+	review.objectName
	+	'<p class="own-font-14 own-font-gray">'
	+	review.author + ' • '
	+	moment(review.created_at, 'YYYY-MM-DD HH:mm:ss').fromNow()
	+	'</p>'
	+   '<p class="">'
	+   rateHtml
	+   '<span class="own-font-12 own-font-gray">' + review.rate + '分</span>'
	+	'</p>'
	+ '</div>'
	+ '</div>'
	+ '<p class="own-font-14 own-font-black margin-left-55">' + review.content + '</p>'
	+ imgHtml
	+ '</li>'
	+ getReviewRepliesHtml(review.replies)
	//+ '</ul>'
	;
	
	return html;
}
		
function getReviewRepliesHtml(replies)
{
	var isLast = false;
	var isFirst = false;
	if(!webview_current)
	{
		webview_current = plus.webview.currentWebview();
	}
	var html = '';
	if(replies && replies.length > 0)
	{
		for(var i = 0; i < replies.length; i++)
		{
			if(i == 0)
			{
				isFirst = true;
			}
			if(i == replies.length - 1)
			{
				isLast = true;
			}
			
			var reply = replies[i];
			var headPhoto = reply.headPhoto;
			if(headPhoto)
			{
				var index = headPhoto.indexOf('http://');
				if(index < 0) {
					index = headPhoto.indexOf('https://');
				}

				if(index < 0) {
					headPhoto = URLPRE + "/" + headPhoto;
				}
			} else 
			{
				headPhoto = 'http://pic1.desk.chinaz.com/file/10.03.10/5/rrgaos56.jpg';
			}
			var viewHtml = '<p class="reviewImgs">';			
			if(webview_current.id == 'productDetail.html' 
			|| webview_current.id == 'schoolDetail.html'
			|| webview_current.id == 'mySchoolDetail.html')
			{
			}
			else
			{
				if(reply.imgs && reply.imgs.length > 0) {
					//viewHtml += '';
					for(var imgIx = 0; imgIx < reply.imgs.length; imgIx++)
					{
						var imgRew = reply.imgs[imgIx];
						var ixImgRew = imgRew.indexOf('http://');
						if(ixImgRew < 0) 
						{
							ixImgRew = imgRew.indexOf('https://');
						}
	
						if(ixImgRew < 0) {
							imgRew = URLPRE + imgRew;
						}
	
						var imgEle = '<img src="' + imgRew + '" alt="图片" />'
						viewHtml += imgEle;
					}
				}				
			}
			viewHtml += '</p>';
			
			var marginOrPadding = 'margin-left-55';
			if(isLast)
			{
				marginOrPadding = 'margin-left-55';
			}
			
			if(webview_current.id == 'productDetail.html' && isLast)
			{
				marginOrPadding = 'padding-left-70';
			}
	
			html += ''//+'<ul class="mui-table-view">'
			+'<li class="mui-table-view-cell mui-media '+marginOrPadding+'" style="list-style-type:none;margin-top:-1px;margin-bottom:-1px;padding-bottom:-1px;">'
			+'<div>'
			//+'<div class="mui-media-object mui-pull-left">'
			//+'<img class="userHeadPhoto" style="" src="' + headPhoto + '" >'
			//+'</div>'
			+'<div class="mui-media-body own-font-14" style="border-bottom:none;">'
			+'<p class="own-font-14 own-font-gray">'
			+ (i+1) + '楼' + ' • '
			+reply.author + ' • '
			+moment(reply.created_at, 'YYYY-MM-DD HH:mm:ss').fromNow()
			+'</p>'
			+'</div>'
			+'</div>'
			+'<p class="own-font-14 own-font-black">' + reply.content + '</p>'
			+viewHtml
			+'</li>';
			//+'</ul>';
		}
	}
	return html;
}
